org.eclipse.nebula.jface.gridviewer

## Class GridViewerEditor

- java.lang.Object
- - ColumnViewerEditor
  - - org.eclipse.nebula.jface.gridviewer.GridViewerEditor

    public class GridViewerEditor
    extends ColumnViewerEditor

FIXME

### Field Summary

Fields
`static int` `SELECTION_FOLLOWS_EDITOR` The selection follows the editor

### Method Summary

Methods
`static void` `create(GridTableViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)` FIXME
`static void` `create(GridTreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)` FIXME
`ViewerCell` `getFocusCell()` FIXME
`protected void` `setEditor(Control w, Item item, int fColumnNumber)` FIXME
`protected void` `setLayoutData(LayoutData layoutData)` FIXME
`protected void` `updateFocusCell(ViewerCell focusCell, ColumnViewerEditorActivationEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECTION_FOLLOWS_EDITOR

    public static final int SELECTION_FOLLOWS_EDITOR

The selection follows the editor

See Also:
  Constant Field Values

### Method Detail

#### setEditor

    protected void setEditor(Control w,
                 Item item,
                 int fColumnNumber)

FIXME

#### setLayoutData

    protected void setLayoutData(LayoutData layoutData)

FIXME

#### getFocusCell

    public ViewerCell getFocusCell()

FIXME

#### updateFocusCell

    protected void updateFocusCell(ViewerCell focusCell,
                       ColumnViewerEditorActivationEvent event)

#### create

    public static void create(GridTableViewer viewer,
              ColumnViewerEditorActivationStrategy editorActivationStrategy,
              int feature)

FIXME

Parameters:
  `viewer` -
  `editorActivationStrategy` -
  `feature` -

#### create

    public static void create(GridTreeViewer viewer,
              ColumnViewerEditorActivationStrategy editorActivationStrategy,
              int feature)

FIXME

Parameters:
  `viewer` -
  `editorActivationStrategy` -
  `feature` -

Copyright (c) EclipseSource and others 2002, 2019. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0